import { createClient } from 'redis';
import { ReportStoreConfig } from '../types/ReportStore';
export type RedisClient = ReturnType<typeof createClient>;
declare class ReportDataStore {
    private readonly redisClient;
    prefix: string;
    constructor(redisClient: RedisClient, prefix?: string);
    private ensureConnected;
    setUserConfig(userId: string, config: ReportStoreConfig): Promise<void>;
    getUserConfig(userId: string): Promise<ReportStoreConfig>;
    private setBaseplate;
}
export { ReportDataStore };
export default ReportDataStore;
